Retrieve a list of locations and their details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Allows advanced filtering using the function-based DSL. For more information please visit https://developers.unify-retail.com/docs/filtering

Allowed field(s)/operator(s):

location_id : equals, not-equals, contains, any, none, is-null, is-empty, is-not-empty

location_uuid : equals, not-equals, any, none, is-null

name : equals, not-equals, contains, starts-with, ends-with, any, none, is-null

country_code, type : equals, not-equals, any, none, is-null

store_locator, closed, click_and_collect, click_and_go, e_reservation, unified_stock, available_in_store, ship_from_store : equals, not-equals, is-null

integer
≥ 1
Defaults to 1

Page number to retrieve. Default: 1

integer
1 to 1000
Defaults to 50

Number of records to return per page. Default: 50. Maximum: 1000

string
deprecated

List of location IDs (separated by commas)

Deprecated - use filter=any(location_id,["0002","0003"]) instead.

string
deprecated

Location name

Deprecated - use filter=contains(name,"Paris") instead.

string
deprecated

ISO 3166-1 alpha-2 country code

Deprecated - use filter=any(country_code,["FR","BE"]) instead.

integer
enum
deprecated

Deprecated - use filter=equals(store_locator,1) instead.

Allowed:
integer
enum
deprecated

Deprecated - use filter=equals(closed,0) instead.

Allowed:
string
enum
deprecated

Deprecated - use filter=equals(type,"store") instead.

Allowed:
integer
enum
deprecated

Deprecated - use filter=equals(ship_from_store,1) instead.

Allowed:
integer
enum
deprecated

Deprecated - use filter=equals(click_and_collect,1) instead.

Allowed:
integer
enum
deprecated

Deprecated - use filter=equals(click_and_go,1) instead.

Allowed:
integer
enum
deprecated

Deprecated - use filter=equals(unified_stock,1) instead.

Allowed:
integer
enum
deprecated

Deprecated - use filter=equals(available_in_store,1) instead.

Allowed:
integer
enum
deprecated

Deprecated - use filter=equals(e_reservation,1) instead.

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json